Get Many Inventory
Returns your organization's inventory, one record per item batch, newest first.
Query Parameters
- page integer required
Page to return. Pages start at
0 - limit integer required
Possible values:
>= 1and<= 500Number of records per page, up to
500 - itemCode string
Only return inventory for items with this code. An item can have several batches, so this can return several records
- isArchived boolean
Only return archived (
true) or active (false) inventory
- 200
- 400
- 401
- 429
Successful Operation
- application/json
- Schema
Schema
data object[]
id uuidNabis ID of the item batch
daysAtNabis integerDays since the item batch was first received at a Nabis warehouse.
nullif it hasn't been received yetisArchived booleanWhether the item batch has been archived
updatedAt date-timeWhen the item batch was last updated
item object
The item (product) in the item batch
id uuidNabis ID of the item
code stringYour code for the item, typically used to map it to your own systems
name stringName of the item as it appears on order documents
unit stringDescription of a single unit of the item (e.g. 6-pack)
pricePerUnit numberPrice of a single unit
quantityPerUnitOfMeasure integerCase pack size, the number of units in a case
inventoryType stringWhether the item is cannabis or non-cannabis. See Inventory Classifications for every value
inventoryClass stringGeneral classification of the item (e.g.
EDIBLES). See Inventory Classifications for every valueinventoryCategory stringSpecific classification of the item within its class (e.g.
GUMMY). See Inventory Classifications for every valuestrainType stringStrain type of the item. See Inventory Classifications for every value
subBrand stringBrand name of the item, when it differs from your organization's name
productLine stringProduct line used to group similar items
containerType stringPackaging the item comes in
isSample booleanWhether the item is a sample version of another item
isMedical booleanWhether the item is a medical product
isColdStorage booleanWhether the item requires cold storage
availableOnMarketplace booleanWhether the item can be purchased on the Nabis marketplace
cannabinoidTypeA stringPossible values: [
THC,CBD,CBG,CBN,THCV,CBC,Delta8THC,CBDV,THCA,CBDA,CBGA,CBNA,CBCA,THCVA,CBDVA,Delta10THC,Delta9THC]First cannabinoid listed for the item
cannabinoidDosageA numberDosage of
cannabinoidTypeA, incannabinoidDosageUnitAcannabinoidDosageUnitA stringPossible values: [
mg]Unit of
cannabinoidDosageA. Currently alwaysmg; more units may be added in the futurecannabinoidTypeB stringPossible values: [
THC,CBD,CBG,CBN,THCV,CBC,Delta8THC,CBDV,THCA,CBDA,CBGA,CBNA,CBCA,THCVA,CBDVA,Delta10THC,Delta9THC]Second cannabinoid listed for the item
cannabinoidDosageB numberDosage of
cannabinoidTypeB, incannabinoidDosageUnitBcannabinoidDosageUnitB stringPossible values: [
mg]Unit of
cannabinoidDosageB. Currently alwaysmg; more units may be added in the futurebatch object
The batch in the item batch
id uuidNabis ID of the batch
code stringYour code for the batch
manufacturingDate dateDate the batch was manufactured, in
yyyy-mm-ddformatexpirationDate dateDate the batch's certificate of analysis expires, in
yyyy-mm-ddformat. The batch must be re-tested or destroyed after this datelicenseNumber stringNumber of the license the batch was produced under
licenseNickname stringNickname of the license the batch was produced under
thcPercentage numberTHC of the batch, as a percentage
thcAPercentage numberTHC-A of the batch, as a percentage
cbdPercentage numberCBD of the batch, as a percentage
otherCannabinoidPercentage numberOther cannabinoids of the batch, as a percentage
calculatedThcPercentage numberTHC of the batch as a percentage. Uses
thcPercentagewhen it's recorded, otherwise it's calculated fromthcWeight.0when neither can be usedthcWeight numberTHC of the batch, in mg
thcAWeight numberTHC-A of the batch, in mg
cbdWeight numberCBD of the batch, in mg
otherCannabinoidWeight numberOther cannabinoids of the batch, in mg
calculatedThcWeight numberTHC weight of the batch, in mg. Uses
thcWeightwhen it's recorded, otherwise it's calculated fromthcPercentage.0when neither can be usedaromas string[]Aroma characteristics of the batch
warehouseCounts object[]
Quantities of the item batch at each Nabis warehouse. These counts are not real-time and can lag behind our warehouse inventory system
warehouseId uuidNabis ID of the warehouse
incoming integerUnits inbound to the warehouse on open purchase orders
outgoing integerUnits on open orders or in the fulfillment process
available integerUnits available to sell
counted integerUnits physically counted at the warehouse (
outgoing + available)quarantined integerUnits that are quarantined and can't be sold
packed integerUnits packed for outgoing orders
updatedAt date-timeWhen a difference between our cached counts and our warehouse inventory system was last detected
- page integer
The page returned
- totalCount integer
Total number of records across all pages
- totalNumPages integer
Total number of pages
- nextPage integer
The next page, or
nullon the last page - prevPage integer
The previous page, or
nullon the first page
Invalid request parameters
Invalid API key
Too Many Requests